# Transaction Limits

## Fetch Transaction Limits

Use this endpoint if you want to view your transaction limits. Partners can view transaction limits for their customers using this endpoint.

`Method: GET`

`Endpoint: {{env}}/api/customer/transactionlimits/{customerId}`

{% tabs %}
{% tab title="Response" %}

```json
{
    "statusCode": 200,
    "message": "GET Request successful.",
    "isError": false,
    "result": [
        {
            "TransactionMethod": "Eft",
            "Type": "FundZumWallet",
            "DailyQuantity": 100,
            "DailyQuantityRemaining": 100,
            "DailyAmount": 9999.99,
            "DailyVolume": 1000000,
            "DailyVolumeRemaining": 1000000,
            "MonthlyVolume": 1000000,
            "MonthlyVolumeRemaining": 1000000
        },
        {
            "TransactionMethod": "Eft",
            "Type": "WithdrawZumWallet",
            "DailyQuantity": 100,
            "DailyQuantityRemaining": 100,
            "DailyAmount": 9999.99,
            "DailyVolume": 1000000,
            "DailyVolumeRemaining": 1000000,
            "MonthlyVolume": 1000000,
            "MonthlyVolumeRemaining": 1000000
        },
        {
            "TransactionMethod": "Eft",
            "Type": "AccountsPayable",
            "DailyQuantity": 100,
            "DailyQuantityRemaining": 100,
            "DailyAmount": 9999.99,
            "DailyVolume": 1000000,
            "DailyVolumeRemaining": 1000000,
            "MonthlyVolume": 1000000,
            "MonthlyVolumeRemaining": 1000000
        },
        {
            "TransactionMethod": "Eft",
            "Type": "AccountsReceivable",
            "DailyQuantity": 100,
            "DailyQuantityRemaining": 100,
            "DailyAmount": 9999.99,
            "DailyVolume": 1000000,
            "DailyVolumeRemaining": 1000000,
            "MonthlyVolume": 1000000,
            "MonthlyVolumeRemaining": 1000000
        },
        {
            "TransactionMethod": "Interac",
            "Type": "AccountsPayable",
            "DailyQuantity": 100,
            "DailyQuantityRemaining": 100,
            "DailyAmount": 9999.99,
            "DailyVolume": 1000000,
            "DailyVolumeRemaining": 1000000,
            "MonthlyVolume": 1000000,
            "MonthlyVolumeRemaining": 1000000
        },
        {
            "TransactionMethod": "Interac",
            "Type": "AccountsReceivable",
            "DailyQuantity": 100,
            "DailyQuantityRemaining": 100,
            "DailyAmount": 9999.99,
            "DailyVolume": 1000000,
            "DailyVolumeRemaining": 1000000,
            "MonthlyVolume": 1000000,
            "MonthlyVolumeRemaining": 1000000
        },
        {
            "TransactionMethod": "Interac",
            "Type": "FundZumWallet",
            "DailyQuantity": 100,
            "DailyQuantityRemaining": 100,
            "DailyAmount": 9999.99,
            "DailyVolume": 1000000,
            "DailyVolumeRemaining": 1000000,
            "MonthlyVolume": 1000000,
            "MonthlyVolumeRemaining": 1000000
        },
        {
            "TransactionMethod": "Interac",
            "Type": "WithdrawZumWallet",
            "DailyQuantity": 100,
            "DailyQuantityRemaining": 100,
            "DailyAmount": 9999.99,
            "DailyVolume": 1000000,
            "DailyVolumeRemaining": 1000000,
            "MonthlyVolume": 1000000,
            "MonthlyVolumeRemaining": 1000000
        }
    ]
}
```

{% endtab %}
{% endtabs %}

**Response**&#x20;

<table><thead><tr><th width="229">Parameter</th><th width="94">Type</th><th>Description</th></tr></thead><tbody><tr><td>TransactionMethod</td><td>string</td><td>Transaction method</td></tr><tr><td>Type</td><td>string</td><td>Transaction type</td></tr><tr><td>DailyQuantity</td><td>int</td><td>The transactions per day for each transaction type is the maximum number of transactions allowed per day for transactions of that type.</td></tr><tr><td>DailyQuantityRemaining</td><td>int</td><td>The transactions per day for each transaction type that are remaining out of the maximum number of transactions allowed per day for transactions of that type.</td></tr><tr><td>DailyAmount</td><td>decimal</td><td>The limit for each transaction type is the maximum amount allowed per transaction of that respective type.</td></tr><tr><td>DailyVolume</td><td>decimal</td><td>The maximum volume per day for each transaction type is the maximum cumulative amount allowed for all transactions of that respective type.</td></tr><tr><td>DailyVolumeRemaining</td><td>decimal</td><td>The volume remaining is the maximum cumulative amount allowed per day for all transactions of that respective transaction type minus the cumulative amount used in the current day.</td></tr><tr><td>MonthlyVolume</td><td>decimal</td><td>The maximum volume per month for each transaction type is the maximum cumulative amount allowed during the month for all transactions of that respective type.</td></tr><tr><td>MonthlyVolumeRemaining</td><td>decimal</td><td>The monthly volume remaining is the maximum cumulative amount allowed per monthly for all transactions of that respective transaction type minus the cumulative amount used in the current month.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zumrails.com/api-reference/operations/transaction-limits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
